Skip to main content
`Ctrl`+`K`

# leastsquare_3d

astropy.modeling.statistic.leastsquare_3d(measured_vals, updated_model, weights, x, y, z)

  Least square statistic with optional weights. Safer than the general `leastsquare()` for 3D models by avoiding numpy methods that support broadcasting.

  Parameters:
    measured_vals `ndarray`

      Measured data values.

    updated_model `Model`

      Model with parameters set by the current iteration of the optimizer.

    weights `ndarray` or `python:None`

      Array of weights to apply to each residual.

    x `ndarray`

      Independent variable “x” on which to evaluate the model.

    y `ndarray`

      Independent variable “y” on which to evaluate the model.

    z `ndarray`

      Independent variable “z” on which to evaluate the model.

  Returns:
    res `python:float`

      The sum of least squares.

  See also

  `leastsquare()`